summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorchatty2000-07-13 15:54:09 +0000
committerchatty2000-07-13 15:54:09 +0000
commitd03da3408dfa60d1b30497d650a959019ccb1ae4 (patch)
tree1c8f0a51ffbe60d3ebd01d96e2cfe61ae6639ffa
parent8c5c9393ef068416ccf03539b38e8adb0b2c824a (diff)
downloadirbox-d03da3408dfa60d1b30497d650a959019ccb1ae4.zip
irbox-d03da3408dfa60d1b30497d650a959019ccb1ae4.tar.gz
irbox-d03da3408dfa60d1b30497d650a959019ccb1ae4.tar.bz2
irbox-d03da3408dfa60d1b30497d650a959019ccb1ae4.tar.xz
First official package of version 1.2
First package in the Ivy distribution irbox.init and irbox.conf have been moved from src to redhat
-rw-r--r--redhat/changelog10
-rw-r--r--redhat/irbox.conf0
-rwxr-xr-xredhat/irbox.init68
-rw-r--r--redhat/rules13
4 files changed, 87 insertions, 4 deletions
diff --git a/redhat/changelog b/redhat/changelog
index f6c32d3..f46a97f 100644
--- a/redhat/changelog
+++ b/redhat/changelog
@@ -1,5 +1,5 @@
-$Version = "1.1";
-$Release = 7;
+$Version = "1.2";
+$Release = 1;
$ChangeLog = ' * Fri Jan 29 1999 Michelle Jacomi <jacomi@cenatoulouse.dgac.fr>
- Generation of irbox-1.0-2
@@ -29,9 +29,11 @@ $ChangeLog = ' * Fri Jan 29 1999 Michelle Jacomi <jacomi@cenatoulouse.dgac.fr>
- Generation of irbox-1.1-6
- Fixed a late minute bug in lexical analyser
- * Wed Jul 12 2000 Stéphane Chatty <chatty@cena.fr>
-- Generation of irbox-1.1-7
+ * Thu Jul 13 2000 Stéphane Chatty <chatty@cena.fr>
+- Generation of version 1.2-1
- Package made with rpmize 3
- New Ivy distribution
+- This is actually not the first package of version 1.2: previous packages
+- were wrongfully labelled 1.1
';
diff --git a/redhat/irbox.conf b/redhat/irbox.conf
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/redhat/irbox.conf
diff --git a/redhat/irbox.init b/redhat/irbox.init
new file mode 100755
index 0000000..2f96c6f
--- /dev/null
+++ b/redhat/irbox.init
@@ -0,0 +1,68 @@
+#!/bin/sh
+#
+# irbox: Starts the irbox Ivy agent
+#
+# Version: @(#) /etc/rc.d/init.d/irbox.init 1.0
+#
+# chkconfig: 345 98 02
+# description: This is a daemon that drives an Irman infra-red device and \
+# emits its events on an Ivy bus
+# processname: irbox
+# config: /etc/irbox.conf
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+. /etc/irbox.conf
+
+if [ -z $BUS ]; then
+ busopt=
+else
+ busopt="-b $BUS"
+fi
+
+if [ -z $DEVICE ]; then
+ devopt=
+else
+ devopt="-d $DEVICE"
+fi
+
+if [ -z $APPNAME ]; then
+ appopt=
+else
+ appopt="-n $APPNAME"
+fi
+
+
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Infra-red Ivy driver... "
+ daemon irbox $busopt $devopt $appopt &
+ echo
+ touch /var/lock/subsys/irbox
+ ;;
+ stop)
+ echo -n "Shutting down Infra-red Ivy driver: "
+ killproc irbox
+ rm -f /var/lock/subsys/irbox
+ echo
+ ;;
+ status)
+ status irbox
+ ;;
+ reload)
+ killproc -HUP irbox
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "*** Usage: irbox {start|stop|status|restart¦reload}"
+ exit 1
+esac
+
+exit 0
+
diff --git a/redhat/rules b/redhat/rules
index a0ddd8d..c8e923f 100644
--- a/redhat/rules
+++ b/redhat/rules
@@ -14,3 +14,16 @@ Irbox comes with a database of the codes emitted by a number of TV, VCR and
cable TV infra-red remote controls, and emits explicit textual messages on an
Ivy bus every time a button is depressed. Remote controls of different types
can be used concurrently, and are distinguished by Irbox.";
+
+$Install = "rm -rf \$RPM_BUILD_ROOT
+cd src
+make PREFIX=\$RPM_BUILD_ROOT install
+cd ..
+mkdir -p \$RPM_BUILD_ROOT/etc/rc.d/init.d
+install -m 755 redhat/irbox.init \$RPM_BUILD_ROOT/etc/rc.d/init.d/irbox
+install -m 644 redhat/irbox.conf \$RPM_BUILD_ROOT/etc
+find \$RPM_BUILD_ROOT -type f -print | sed \"s\@^\$RPM_BUILD_ROOT\@\@g\" > $Name-\%{version}-filelist
+find \$RPM_BUILD_ROOT -type l -print | sed \"s\@^\$RPM_BUILD_ROOT\@\@g\" >> $Name-\%{Version}-filelist";
+$Post = "/sbin/chkconfig --add irbox";
+$Preun = "/sbin/chkconfig --del irbox";
+